Modify

Opened 7 years ago

Closed 7 years ago

#1452 closed defect (fixed)

Trac env upgrade fails using PostgreSQL

Reported by: david@… Owned by: coderanger
Priority: normal Component: TracForgePlugin
Severity: normal Keywords: TracForge upgrade SQL
Cc: Trac Release: 0.10

Description

It appears TracForge wants to upgrade the SQL schema, but is using a reserved word in PostgreSQL. Here's the traceback from mod_python, the error from the trac debug log and the trac-admin upgrade output.

[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend: Traceback (most recent call last):
[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend:   File "/usr/lib/python2.4/site-packages/mod_python/apache.py", line 299, in HandlerDispatch\n    result = object(req)
[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend:   File "/usr/lib64/python2.4/site-packages/trac/web/modpython_frontend.py", line 87, in handler\n    gateway.run(dispatch_request)
[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend:   File "/usr/lib64/python2.4/site-packages/trac/web/wsgi.py", line 87, in run\n    response = application(self.environ, self._start_response)
[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend:   File "/usr/lib64/python2.4/site-packages/trac/web/main.py", line 377, in dispatch_request\n    env = _open_environment(env_path, run_once=run_once)
[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend:   File "/usr/lib64/python2.4/site-packages/trac/web/main.py", line 58, in _open_environment\n    env_cache[env_path] = open_environment(env_path)
[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend:   File "/usr/lib64/python2.4/site-packages/trac/env.py", line 436, in open_environment\n    raise TracError, 'The Trac Environment needs to be upgraded. Run ' \\
[Fri Apr 13 14:46:58 2007] [error] [client 10.233.93.185] PythonHandler trac.web.modpython_frontend: TracError: The Trac Environment needs to be upgraded. Run trac-admin /var/lib/svn/trac/hl upgrade"
2007-04-13 14:46:58,518 Trac[loader] DEBUG: Loading egg plugin tracforge.subscriptions from /usr/lib64/python2.4/site-packages/TracForge-1.1-py2.4.egg
2007-04-13 14:46:58,529 Trac[loader] DEBUG: Loading egg plugin tracforge.admin from /usr/lib64/python2.4/site-packages/TracForge-1.1-py2.4.egg
2007-04-13 14:46:58,535 Trac[loader] DEBUG: Loading egg plugin tracforge.resources from /usr/lib64/python2.4/site-packages/TracForge-1.1-py2.4.egg
2007-04-13 14:46:58,536 Trac[loader] DEBUG: Loading egg plugin tracforge.linker from /usr/lib64/python2.4/site-packages/TracForge-1.1-py2.4.egg
2007-04-13 14:46:58,564 Trac[loader] DEBUG: Loading egg plugin tracforge.perms from /usr/lib64/python2.4/site-packages/TracForge-1.1-py2.4.egg
2007-04-13 14:46:58,680 Trac[env] WARNING: Component <tracforge.admin.api.TracForgeAdminSystem object at 0x2b1c58d6ebd0> requires environment upgrade
trac-admin /var/lib/svn/trac/hl upgrade --no-backup
Command failed: syntax error at or near "user"
LINE 3:     user text,
            ^

Attachments (0)

Change History (1)

comment:1 Changed 7 years ago by jluna

  • Resolution set to fixed
  • Status changed from new to closed

I noticed that this was fixed in changeset:2635.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.